import Test.QuickCheck
import Text.Printf(printf)

testSuiteSize :: Int
testSuiteSize = 1000

myArgs :: Args
myArgs = stdArgs {maxSize = testSuiteSize, maxSuccess = testSuiteSize}

quickCheck' :: (Testable p) => String -> p -> IO ()
quickCheck' desc prop = printf "%-25s" desc >> quickCheckWith myArgs prop


main :: IO ()
main =
     quickCheck' "Trivial test." ((\s -> s == s) :: String -> Bool) >>
     quickCheck' "Sin boundness."((\x -> (abs . sin $ x) < 0.999) :: Double -> Bool)
